Bug 62903 - gnome-terminal cut/paste is not backward compatible with Xterm
gnome-terminal cut/paste is not backward compatible with Xterm
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-07 09:27 EDT by greg hosler
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-07 09:27:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description greg hosler 2002-04-07 09:27:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020401

Description of problem:
I open up a gnome-terminal.

I type

        this is a test

I double click on "test", and hold the left mouse button down. I drag the mouse
left to teh word "this", expecting all 4 words "this" "is" "a" "test" to be
selected, but no, the text to the left of the original click-word is selected,
but not the original clicked word. in other words. if I paste, I end up with
"this is a " instead of "this is a test".

An Xterm will definately give me "this is a test" using the same click-and-drag
behaviour as above.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.See description
2.
3.
	

Actual Results:  I end up with "this is a " being pasted.

Expected Results:  I would have expected "this is a test" to be pasted.

Additional info:

This is not consistent behaviour with any other X cut/paste behaviour.
Comment 1 Havoc Pennington 2002-04-10 10:47:52 EDT
The behavior needs to be synced to entry/text widgets in applications.

I filed the bug upstream on libzvt: http://bugzilla.gnome.org/show_bug.cgi?id=78289

Closing on RH level, we'll inherit any upstream solution.

Note You need to log in before you can comment on or make changes to this bug.